College Football DataCollege Football Data
  • CollegeFootballData.com
  • Get API Key
  • Legacy Swagger UI
  • Getting Started
  • Official libraries
  • Methodology and resources
  • API Reference
Helpful Links
  • CFBD
  • Patreon
  • Gumroad
Data + Code Packs
  • Starter Pack
  • Model Training Pack
  • AI Launchpad
  • AI Builder Pack
Other Resources
  • Rad Sports Analytics
  • Blog
  • Basketball

A Rad Sports Analytics platform.

xdiscordgithub
Information
Games
    /gamesget/games/teamsget/games/playersget/games/mediaget/games/weatherget/recordsget/calendarget/scoreboardget/game/box/advancedget
Playoffs
    /playoffs/cfpget/playoffs/cfp/participantsget/playoffs/cfp/gamesget
Drives
    /drivesget
Plays
    /playsget/plays/typesget/plays/statsget/plays/stats/typesget/live/playsget
Passing
    /passing/playsget/passing/players/seasonget/passing/players/gamesget/passing/teams/seasonget/passing/teams/gamesget
Rushing
    /rushing/playsget/rushing/players/seasonget/rushing/players/gamesget/rushing/teams/seasonget/rushing/teams/gamesget
Teams
    /teams/season/overviewget/teamsget/teams/fbsget/teams/matchupget/teams/atsget/rosterget/talentget
Conferences
    /conferencesget/conferences/changesget/conferences/affiliationsget
Venues
    /venuesget
Coaches
    /coachesget/coaches/profileget/coaches/seasonsget/coaches/tenuresget
Players
    /player/searchget/player/usageget/player/season/overviewget/player/returningget/player/portalget
Rankings
    /rankingsget
Betting
    /linesget
Recruiting
    /recruiting/playersget/recruiting/teamsget/recruiting/groupsget
Ratings
    /ratings/coreget/ratings/spget/ratings/sp/conferencesget/ratings/srsget/ratings/srs/expandedget/ratings/eloget/ratings/fpiget
Metrics
    /ppa/predictedget/ppa/teamsget/ppa/gamesget/ppa/players/gamesget/ppa/players/seasonget/metrics/wpget/metrics/wp/pregameget/metrics/fg/epget
Stats
    /stats/player/seasonget/stats/player/successget/stats/player/success/gameget/stats/seasonget/stats/categoriesget/stats/season/advancedget/stats/game/advancedget/stats/game/havocget
Draft
    /draft/teamsget/draft/positionsget/draft/picksget
Adjusted metrics
    /wepa/team/seasonget/wepa/players/passingget/wepa/players/rushingget/wepa/players/kickingget
Info
    /infoget/info/usageget
Schemas
powered by Zudoku
College Football Data API
College Football Data API

Teams

Download schema

Teams, rosters, matchups, talent ratings, and ATS records.


GET
https://api.collegefootballdata.com
/teams/season/overview
Bearer

Returns a stored full-season team overview, including postseason and garbage time.

query Parameters

year
​integer · int32 · required

Season year.

team
​string · required

Team name.

Responses

Ok

TeamSeasonOverview
​TeamSeasonAdvancedStats · required
​object · required
​object · required
​object · required
​object · required

Completed games for the requested season, including postseason.

​object · required

Current available ratings for the requested season; unavailable systems are null.

season
​integer · int32 · required
teamId
​integer · int32 · required
team
​string · required
GET/teams/season/overview
curl 'https://api.collegefootballdata.com/teams/season/overview?year=<number>&team=<string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "advanced": { "season": 0, "team": "team", "conference": "conference", "offense": { "passingPlays": { "explosiveness": 0, "successRate": 0, "totalPPA": 0, "ppa": 0, "rate": 0 }, "rushingPlays": { "explosiveness": 0, "successRate": 0, "totalPPA": 0, "ppa": 0, "rate": 0 }, "passingDowns": { "explosiveness": 0, "successRate": 0, "ppa": 0, "rate": 0 }, "standardDowns": { "explosiveness": 0, "successRate": 0, "ppa": 0, "rate": 0 }, "havoc": { "db": 0, "frontSeven": 0, "total": 0 }, "fieldPosition": { "averagePredictedPoints": 0, "averageStart": 0 }, "pointsPerOpportunity": 0, "totalOpportunies": 0, "openFieldYardsTotal": 0, "openFieldYards": 0, "secondLevelYardsTotal": 0, "secondLevelYards": 0, "lineYardsTotal": 0, "lineYards": 0, "stuffRate": 0, "powerSuccess": 0, "explosiveness": 0, "successRate": 0, "totalPPA": 0, "ppa": 0, "drives": 0, "plays": 0 }, "defense": { "passingPlays": { "explosiveness": 0, "successRate": 0, "totalPPA": 0, "ppa": 0, "rate": 0 }, "rushingPlays": { "explosiveness": 0, "successRate": 0, "totalPPA": 0, "ppa": 0, "rate": 0 }, "passingDowns": { "explosiveness": 0, "successRate": 0, "totalPPA": 0, "ppa": 0, "rate": 0 }, "standardDowns": { "explosiveness": 0, "successRate": 0, "ppa": 0, "rate": 0 }, "havoc": { "db": 0, "frontSeven": 0, "total": 0 }, "fieldPosition": { "averagePredictedPoints": 0, "averageStart": 0 }, "pointsPerOpportunity": 0, "totalOpportunies": 0, "openFieldYardsTotal": 0, "openFieldYards": 0, "secondLevelYardsTotal": 0, "secondLevelYards": 0, "lineYardsTotal": 0, "lineYards": 0, "stuffRate": 0, "powerSuccess": 0, "explosiveness": 0, "successRate": 0, "totalPPA": 0, "ppa": 0, "drives": 0, "plays": 0 } }, "players": { "usage": [ { "season": 0, "id": "id", "name": "name", "position": "position", "team": "team", "conference": "conference", "usage": { "passingDowns": 0, "standardDowns": 0, "thirdDown": 0, "secondDown": 0, "firstDown": 0, "rush": 0, "pass": 0, "overall": 0 } } ], "ppa": [ { "season": 0, "id": "id", "name": "name", "position": "position", "team": "team", "conference": "conference", "averagePPA": { "all": 0, "pass": 0, "rush": 0, "firstDown": 0, "secondDown": 0, "thirdDown": 0, "standardDowns": 0, "passingDowns": 0 }, "totalPPA": { "all": 0, "pass": 0, "rush": 0, "firstDown": 0, "secondDown": 0, "thirdDown": 0, "standardDowns": 0, "passingDowns": 0 } } ] }, "passing": { "season": 0, "team": "team", "conference": "conference", "offense": { "attempts": 0, "completions": 0, "incompletions": 0, "interceptions": 0, "completionRate": 0, "airYardsAttemptsAvailable": 0, "totalAirYards": 0, "averageDepthOfTarget": 0, "totalYardsAttemptsAvailable": 0, "totalYards": 0, "yardsAfterCatchAttemptsAvailable": 0, "totalYardsAfterCatch": 0, "averageYardsAfterCatch": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "explosiveness": 0, "ppaAttemptsAvailable": 0, "successAttemptsAvailable": 0, "successfulAttempts": 0, "successfulPpaAttemptsAvailable": 0, "locationEligibleAttempts": 0, "locationAvailableAttempts": 0, "locations": { "short left": { "attempts": 0, "completions": 0, "incompletions": 0, "interceptions": 0, "completionRate": 0, "airYardsAttemptsAvailable": 0, "totalAirYards": 0, "averageDepthOfTarget": 0, "totalYardsAttemptsAvailable": 0, "totalYards": 0, "yardsAfterCatchAttemptsAvailable": 0, "totalYardsAfterCatch": 0, "averageYardsAfterCatch": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "explosiveness": 0, "ppaAttemptsAvailable": 0, "successAttemptsAvailable": 0, "successfulAttempts": 0, "successfulPpaAttemptsAvailable": 0, "yardsPerAttempt": 0, "airYardsPerAttempt": 0 }, "short middle": { "attempts": 0, "completions": 0, "incompletions": 0, "interceptions": 0, "completionRate": 0, "airYardsAttemptsAvailable": 0, "totalAirYards": 0, "averageDepthOfTarget": 0, "totalYardsAttemptsAvailable": 0, "totalYards": 0, "yardsAfterCatchAttemptsAvailable": 0, "totalYardsAfterCatch": 0, "averageYardsAfterCatch": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "explosiveness": 0, "ppaAttemptsAvailable": 0, "successAttemptsAvailable": 0, "successfulAttempts": 0, "successfulPpaAttemptsAvailable": 0, "yardsPerAttempt": 0, "airYardsPerAttempt": 0 }, "short right": { "attempts": 0, "completions": 0, "incompletions": 0, "interceptions": 0, "completionRate": 0, "airYardsAttemptsAvailable": 0, "totalAirYards": 0, "averageDepthOfTarget": 0, "totalYardsAttemptsAvailable": 0, "totalYards": 0, "yardsAfterCatchAttemptsAvailable": 0, "totalYardsAfterCatch": 0, "averageYardsAfterCatch": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "explosiveness": 0, "ppaAttemptsAvailable": 0, "successAttemptsAvailable": 0, "successfulAttempts": 0, "successfulPpaAttemptsAvailable": 0, "yardsPerAttempt": 0, "airYardsPerAttempt": 0 }, "deep left": { "attempts": 0, "completions": 0, "incompletions": 0, "interceptions": 0, "completionRate": 0, "airYardsAttemptsAvailable": 0, "totalAirYards": 0, "averageDepthOfTarget": 0, "totalYardsAttemptsAvailable": 0, "totalYards": 0, "yardsAfterCatchAttemptsAvailable": 0, "totalYardsAfterCatch": 0, "averageYardsAfterCatch": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "explosiveness": 0, "ppaAttemptsAvailable": 0, "successAttemptsAvailable": 0, "successfulAttempts": 0, "successfulPpaAttemptsAvailable": 0, "yardsPerAttempt": 0, "airYardsPerAttempt": 0 }, "deep middle": { "attempts": 0, "completions": 0, "incompletions": 0, "interceptions": 0, "completionRate": 0, "airYardsAttemptsAvailable": 0, "totalAirYards": 0, "averageDepthOfTarget": 0, "totalYardsAttemptsAvailable": 0, "totalYards": 0, "yardsAfterCatchAttemptsAvailable": 0, "totalYardsAfterCatch": 0, "averageYardsAfterCatch": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "explosiveness": 0, "ppaAttemptsAvailable": 0, "successAttemptsAvailable": 0, "successfulAttempts": 0, "successfulPpaAttemptsAvailable": 0, "yardsPerAttempt": 0, "airYardsPerAttempt": 0 }, "deep right": { "attempts": 0, "completions": 0, "incompletions": 0, "interceptions": 0, "completionRate": 0, "airYardsAttemptsAvailable": 0, "totalAirYards": 0, "averageDepthOfTarget": 0, "totalYardsAttemptsAvailable": 0, "totalYards": 0, "yardsAfterCatchAttemptsAvailable": 0, "totalYardsAfterCatch": 0, "averageYardsAfterCatch": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "explosiveness": 0, "ppaAttemptsAvailable": 0, "successAttemptsAvailable": 0, "successfulAttempts": 0, "successfulPpaAttemptsAvailable": 0, "yardsPerAttempt": 0, "airYardsPerAttempt": 0 }, "unknown": { "attempts": 0, "completions": 0, "incompletions": 0, "interceptions": 0, "completionRate": 0, "airYardsAttemptsAvailable": 0, "totalAirYards": 0, "averageDepthOfTarget": 0, "totalYardsAttemptsAvailable": 0, "totalYards": 0, "yardsAfterCatchAttemptsAvailable": 0, "totalYardsAfterCatch": 0, "averageYardsAfterCatch": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "explosiveness": 0, "ppaAttemptsAvailable": 0, "successAttemptsAvailable": 0, "successfulAttempts": 0, "successfulPpaAttemptsAvailable": 0, "yardsPerAttempt": 0, "airYardsPerAttempt": 0 } } }, "defense": { "attempts": 0, "completions": 0, "incompletions": 0, "interceptions": 0, "completionRate": 0, "airYardsAttemptsAvailable": 0, "totalAirYards": 0, "averageDepthOfTarget": 0, "totalYardsAttemptsAvailable": 0, "totalYards": 0, "yardsAfterCatchAttemptsAvailable": 0, "totalYardsAfterCatch": 0, "averageYardsAfterCatch": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "explosiveness": 0, "ppaAttemptsAvailable": 0, "successAttemptsAvailable": 0, "successfulAttempts": 0, "successfulPpaAttemptsAvailable": 0, "locationEligibleAttempts": 0, "locationAvailableAttempts": 0, "locations": { "short left": { "attempts": 0, "completions": 0, "incompletions": 0, "interceptions": 0, "completionRate": 0, "airYardsAttemptsAvailable": 0, "totalAirYards": 0, "averageDepthOfTarget": 0, "totalYardsAttemptsAvailable": 0, "totalYards": 0, "yardsAfterCatchAttemptsAvailable": 0, "totalYardsAfterCatch": 0, "averageYardsAfterCatch": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "explosiveness": 0, "ppaAttemptsAvailable": 0, "successAttemptsAvailable": 0, "successfulAttempts": 0, "successfulPpaAttemptsAvailable": 0, "yardsPerAttempt": 0, "airYardsPerAttempt": 0 }, "short middle": { "attempts": 0, "completions": 0, "incompletions": 0, "interceptions": 0, "completionRate": 0, "airYardsAttemptsAvailable": 0, "totalAirYards": 0, "averageDepthOfTarget": 0, "totalYardsAttemptsAvailable": 0, "totalYards": 0, "yardsAfterCatchAttemptsAvailable": 0, "totalYardsAfterCatch": 0, "averageYardsAfterCatch": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "explosiveness": 0, "ppaAttemptsAvailable": 0, "successAttemptsAvailable": 0, "successfulAttempts": 0, "successfulPpaAttemptsAvailable": 0, "yardsPerAttempt": 0, "airYardsPerAttempt": 0 }, "short right": { "attempts": 0, "completions": 0, "incompletions": 0, "interceptions": 0, "completionRate": 0, "airYardsAttemptsAvailable": 0, "totalAirYards": 0, "averageDepthOfTarget": 0, "totalYardsAttemptsAvailable": 0, "totalYards": 0, "yardsAfterCatchAttemptsAvailable": 0, "totalYardsAfterCatch": 0, "averageYardsAfterCatch": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "explosiveness": 0, "ppaAttemptsAvailable": 0, "successAttemptsAvailable": 0, "successfulAttempts": 0, "successfulPpaAttemptsAvailable": 0, "yardsPerAttempt": 0, "airYardsPerAttempt": 0 }, "deep left": { "attempts": 0, "completions": 0, "incompletions": 0, "interceptions": 0, "completionRate": 0, "airYardsAttemptsAvailable": 0, "totalAirYards": 0, "averageDepthOfTarget": 0, "totalYardsAttemptsAvailable": 0, "totalYards": 0, "yardsAfterCatchAttemptsAvailable": 0, "totalYardsAfterCatch": 0, "averageYardsAfterCatch": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "explosiveness": 0, "ppaAttemptsAvailable": 0, "successAttemptsAvailable": 0, "successfulAttempts": 0, "successfulPpaAttemptsAvailable": 0, "yardsPerAttempt": 0, "airYardsPerAttempt": 0 }, "deep middle": { "attempts": 0, "completions": 0, "incompletions": 0, "interceptions": 0, "completionRate": 0, "airYardsAttemptsAvailable": 0, "totalAirYards": 0, "averageDepthOfTarget": 0, "totalYardsAttemptsAvailable": 0, "totalYards": 0, "yardsAfterCatchAttemptsAvailable": 0, "totalYardsAfterCatch": 0, "averageYardsAfterCatch": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "explosiveness": 0, "ppaAttemptsAvailable": 0, "successAttemptsAvailable": 0, "successfulAttempts": 0, "successfulPpaAttemptsAvailable": 0, "yardsPerAttempt": 0, "airYardsPerAttempt": 0 }, "deep right": { "attempts": 0, "completions": 0, "incompletions": 0, "interceptions": 0, "completionRate": 0, "airYardsAttemptsAvailable": 0, "totalAirYards": 0, "averageDepthOfTarget": 0, "totalYardsAttemptsAvailable": 0, "totalYards": 0, "yardsAfterCatchAttemptsAvailable": 0, "totalYardsAfterCatch": 0, "averageYardsAfterCatch": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "explosiveness": 0, "ppaAttemptsAvailable": 0, "successAttemptsAvailable": 0, "successfulAttempts": 0, "successfulPpaAttemptsAvailable": 0, "yardsPerAttempt": 0, "airYardsPerAttempt": 0 }, "unknown": { "attempts": 0, "completions": 0, "incompletions": 0, "interceptions": 0, "completionRate": 0, "airYardsAttemptsAvailable": 0, "totalAirYards": 0, "averageDepthOfTarget": 0, "totalYardsAttemptsAvailable": 0, "totalYards": 0, "yardsAfterCatchAttemptsAvailable": 0, "totalYardsAfterCatch": 0, "averageYardsAfterCatch": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "explosiveness": 0, "ppaAttemptsAvailable": 0, "successAttemptsAvailable": 0, "successfulAttempts": 0, "successfulPpaAttemptsAvailable": 0, "yardsPerAttempt": 0, "airYardsPerAttempt": 0 } } } }, "rushing": { "season": 0, "team": "team", "conference": "conference", "offense": { "attempts": 0, "rushingYardsAvailable": 0, "totalRushingYards": 0, "yardsPerCarry": 0, "individualAttempts": 0, "unattributedAttempts": 0, "sacks": 0, "kneels": 0, "teamRushes": 0, "multiCarrierAttempts": 0, "directionEligibleAttempts": 0, "directionAvailableAttempts": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "lineYards": 0, "lineYardsTotal": 0, "secondLevelYards": 0, "secondLevelYardsTotal": 0, "openFieldYards": 0, "openFieldYardsTotal": 0, "stuffRate": 0, "powerSuccess": 0, "explosiveness": 0, "directions": { "unknown": { "carries": 0, "yards": 0, "yardsPerCarry": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "lineYards": 0, "lineYardsTotal": 0, "secondLevelYards": 0, "secondLevelYardsTotal": 0, "openFieldYards": 0, "openFieldYardsTotal": 0, "stuffRate": 0, "powerSuccess": 0, "explosiveness": 0 }, "right": { "carries": 0, "yards": 0, "yardsPerCarry": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "lineYards": 0, "lineYardsTotal": 0, "secondLevelYards": 0, "secondLevelYardsTotal": 0, "openFieldYards": 0, "openFieldYardsTotal": 0, "stuffRate": 0, "powerSuccess": 0, "explosiveness": 0 }, "middle": { "carries": 0, "yards": 0, "yardsPerCarry": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "lineYards": 0, "lineYardsTotal": 0, "secondLevelYards": 0, "secondLevelYardsTotal": 0, "openFieldYards": 0, "openFieldYardsTotal": 0, "stuffRate": 0, "powerSuccess": 0, "explosiveness": 0 }, "left": { "carries": 0, "yards": 0, "yardsPerCarry": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "lineYards": 0, "lineYardsTotal": 0, "secondLevelYards": 0, "secondLevelYardsTotal": 0, "openFieldYards": 0, "openFieldYardsTotal": 0, "stuffRate": 0, "powerSuccess": 0, "explosiveness": 0 } }, "touchdownStatusAvailable": 0, "rushingTouchdowns": 0 }, "defense": { "attempts": 0, "rushingYardsAvailable": 0, "totalRushingYards": 0, "yardsPerCarry": 0, "individualAttempts": 0, "unattributedAttempts": 0, "sacks": 0, "kneels": 0, "teamRushes": 0, "multiCarrierAttempts": 0, "directionEligibleAttempts": 0, "directionAvailableAttempts": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "lineYards": 0, "lineYardsTotal": 0, "secondLevelYards": 0, "secondLevelYardsTotal": 0, "openFieldYards": 0, "openFieldYardsTotal": 0, "stuffRate": 0, "powerSuccess": 0, "explosiveness": 0, "directions": { "unknown": { "carries": 0, "yards": 0, "yardsPerCarry": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "lineYards": 0, "lineYardsTotal": 0, "secondLevelYards": 0, "secondLevelYardsTotal": 0, "openFieldYards": 0, "openFieldYardsTotal": 0, "stuffRate": 0, "powerSuccess": 0, "explosiveness": 0 }, "right": { "carries": 0, "yards": 0, "yardsPerCarry": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "lineYards": 0, "lineYardsTotal": 0, "secondLevelYards": 0, "secondLevelYardsTotal": 0, "openFieldYards": 0, "openFieldYardsTotal": 0, "stuffRate": 0, "powerSuccess": 0, "explosiveness": 0 }, "middle": { "carries": 0, "yards": 0, "yardsPerCarry": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "lineYards": 0, "lineYardsTotal": 0, "secondLevelYards": 0, "secondLevelYardsTotal": 0, "openFieldYards": 0, "openFieldYardsTotal": 0, "stuffRate": 0, "powerSuccess": 0, "explosiveness": 0 }, "left": { "carries": 0, "yards": 0, "yardsPerCarry": 0, "successRate": 0, "ppa": 0, "totalPpa": 0, "lineYards": 0, "lineYardsTotal": 0, "secondLevelYards": 0, "secondLevelYardsTotal": 0, "openFieldYards": 0, "openFieldYardsTotal": 0, "stuffRate": 0, "powerSuccess": 0, "explosiveness": 0 } }, "touchdownStatusAvailable": 0, "rushingTouchdowns": 0 } }, "record": { "ties": 0, "losses": 0, "wins": 0, "games": 0 }, "ratings": { "sp": { "specialTeams": { "rating": 0, "rank": 0 }, "defense": { "rating": 0, "rank": 0 }, "offense": { "rating": 0, "rank": 0 }, "overall": { "rating": 0, "rank": 0 } }, "srs": { "rating": 0, "rank": 0 }, "elo": 0, "core": { "defense": { "rating": 0, "rank": 0 }, "offense": { "rating": 0, "rank": 0 }, "overall": { "rating": 0, "rank": 0 } }, "fpi": { "specialTeams": { "rating": 0, "rank": 0 }, "defense": { "rating": 0, "rank": 0 }, "offense": { "rating": 0, "rank": 0 }, "overall": { "rating": 0, "rank": 0 } } }, "season": 0, "teamId": 0, "team": "team" }
json
application/json

GET
https://api.collegefootballdata.com
/teams
Bearer

Returns team information and conference affiliations.

query Parameters

conference
​string

Conference abbreviation.

year
​integer · int32

Season year for historical conference affiliations.

Responses

200

Ok

​Team[]
Team
id
​integer · int32 · required
school
​string · required
mascot
​string | null · required
abbreviation
​string | null · required
alternateNames
​array | null · required
conference
​string | null · required
division
​string | null · required
classification
​string | null · required
color
​string | null · required
alternateColor
​string | null · required
logos
​array | null · required
twitter
​string | null · required
​object · required
GET/teams
curl https://api.collegefootballdata.com/teams \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "id": 0, "school": "school", "mascot": "mascot", "abbreviation": "abbreviation", "alternateNames": [ "string" ], "conference": "conference", "division": "division", "classification": "classification", "color": "color", "alternateColor": "alternateColor", "logos": [ "string" ], "twitter": "twitter", "location": { "id": 0, "name": "name", "city": "city", "state": "state", "zip": "zip", "countryCode": "countryCode", "timezone": "timezone", "latitude": 0, "longitude": 0, "elevation": "elevation", "capacity": 0, "constructionYear": 0, "grass": true, "dome": true } } ]
json
application/json

GET
https://api.collegefootballdata.com
/teams/fbs
Bearer

Returns Football Bowl Subdivision (FBS) teams for a season.

query Parameters

year
​integer · int32

Season year.

Responses

200

Ok

​Team[]
Team
id
​integer · int32 · required
school
​string · required
mascot
​string | null · required
abbreviation
​string | null · required
alternateNames
​array | null · required
conference
​string | null · required
division
​string | null · required
classification
​string | null · required
color
​string | null · required
alternateColor
​string | null · required
logos
​array | null · required
twitter
​string | null · required
​object · required
GET/teams/fbs
curl https://api.collegefootballdata.com/teams/fbs \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "id": 0, "school": "school", "mascot": "mascot", "abbreviation": "abbreviation", "alternateNames": [ "string" ], "conference": "conference", "division": "division", "classification": "classification", "color": "color", "alternateColor": "alternateColor", "logos": [ "string" ], "twitter": "twitter", "location": { "id": 0, "name": "name", "city": "city", "state": "state", "zip": "zip", "countryCode": "countryCode", "timezone": "timezone", "latitude": 0, "longitude": 0, "elevation": "elevation", "capacity": 0, "constructionYear": 0, "grass": true, "dome": true } } ]
json
application/json

GET
https://api.collegefootballdata.com
/teams/matchup
Bearer

Returns historical matchup results between two teams.

query Parameters

team1
​string · required

First team name.

team2
​string · required

Second team name.

minYear
​integer · int32

Earliest season year to include.

maxYear
​integer · int32

Latest season year to include.

Responses

200

Ok

Matchup
team1
​string · required
team2
​string · required
team1Wins
​integer · int32 · required
team2Wins
​integer · int32 · required
ties
​integer · int32 · required
​MatchupGame[] · required
startYear
​integer · int32
endYear
​integer · int32
GET/teams/matchup
curl 'https://api.collegefootballdata.com/teams/matchup?team1=<string>&team2=<string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "team1": "team1", "team2": "team2", "startYear": 0, "endYear": 0, "team1Wins": 0, "team2Wins": 0, "ties": 0, "games": [ { "season": 0, "week": 0, "seasonType": "seasonType", "date": "date", "neutralSite": true, "venue": "venue", "homeTeam": "homeTeam", "homeScore": 0, "awayTeam": "awayTeam", "awayScore": 0, "winner": "winner" } ] }
json
application/json

GET
https://api.collegefootballdata.com
/teams/ats
Bearer

Returns against-the-spread (ATS) records by team.

query Parameters

year
​integer · int32 · required

Season year.

conference
​string

Conference name or abbreviation.

team
​string

Team name.

Responses

200

Ok

​TeamATS[]
TeamATS
year
​integer · int32 · required
teamId
​integer · int32 · required
team
​string · required
conference
​string | null · required
games
​integer · int32 · required
atsWins
​integer · int32 · required
atsLosses
​integer · int32 · required
atsPushes
​integer · int32 · required
avgCoverMargin
​number | null · double · required
GET/teams/ats
curl 'https://api.collegefootballdata.com/teams/ats?year=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "year": 0, "teamId": 0, "team": "team", "conference": "conference", "games": 0, "atsWins": 0, "atsLosses": 0, "atsPushes": 0, "avgCoverMargin": 0 } ]
json
application/json

GET
https://api.collegefootballdata.com
/roster
Bearer

Returns historical roster data.

query Parameters

team
​string

Team name.

year
​integer · int32

Season year. Defaults to 2025.

classification
​DivisionClassification · enum

Division classification: fbs or fcs.

Enum values:
fbs
fcs
ii
ii/iii
iii

Responses

200

Ok

​RosterPlayer[]
RosterPlayer
id
​string · required
firstName
​string · required
lastName
​string · required
team
​string · required
height
​number | null · double · required
weight
​integer | null · int32 · required
jersey
​integer | null · int32 · required
position
​string | null · required
homeCity
​string | null · required
homeState
​string | null · required
homeCountry
​string | null · required
homeLatitude
​number | null · double · required
homeLongitude
​number | null · double · required
homeCountyFIPS
​string | null · required
recruitIds
​array | null · required
year
​integer · int32 · deprecated
GET/roster
curl https://api.collegefootballdata.com/roster \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "id": "id", "firstName": "firstName", "lastName": "lastName", "team": "team", "height": 0, "weight": 0, "jersey": 0, "year": 0, "position": "position", "homeCity": "homeCity", "homeState": "homeState", "homeCountry": "homeCountry", "homeLatitude": 0, "homeLongitude": 0, "homeCountyFIPS": "homeCountyFIPS", "recruitIds": [ "string" ] } ]
json
application/json

GET
https://api.collegefootballdata.com
/talent
Bearer

Returns 247Sports Team Talent Composite ratings for a season.

query Parameters

year
​integer · int32 · required

Season year.

Responses

200

Ok

​TeamTalent[]
TeamTalent
year
​integer · int32 · required
team
​string · required
talent
​number · double · required
GET/talent
curl 'https://api.collegefootballdata.com/talent?year=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "year": 0, "team": "team", "talent": 0 } ]
json
application/json

RushingConferences